#include <bits/stdc++.h>
using namespace std;

int solve(int n,int a[20000],int m)
{
    int br=0;
    while(true)
    {
        int med = a[n/2];
        if(med==m) return br;
        else
        {
            a[n]=m;
            n++;
            br++;
            sort(a,a+n);
        }
    }
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n,q;
    cin>>n>>q;
    int a[20000],b[20000];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<q;i++)
    {
        cin>>b[i];
    }
    sort(a,a+n);
    sort(b,b+q);
    for(int i=0;i<q;i++)
    {
        cout<<solve(n,a,b[i])<<"\n";
    }

    return 0;
}